public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] gentoo-x86 commit in games-arcade/gunocide2ex: ChangeLog gunocide2ex-1.0.ebuild
@ 2009-06-10 23:37 Michael Sterrett (mr_bones_)
  0 siblings, 0 replies; 4+ messages in thread
From: Michael Sterrett (mr_bones_) @ 2009-06-10 23:37 UTC (permalink / raw
  To: gentoo-commits

mr_bones_    09/06/10 23:37:34

  Modified:             ChangeLog gunocide2ex-1.0.ebuild
  Log:
  roll up patches; EAPI=2; use emake to build objects (bug #273606)
  (Portage version: 2.1.6.13/cvs/Linux i686)

Revision  Changes    Path
1.10                 games-arcade/gunocide2ex/ChangeLog

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/games-arcade/gunocide2ex/ChangeLog?rev=1.10&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/games-arcade/gunocide2ex/ChangeLog?rev=1.10&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/games-arcade/gunocide2ex/ChangeLog?r1=1.9&r2=1.10

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/games-arcade/gunocide2ex/ChangeLog,v
retrieving revision 1.9
retrieving revision 1.10
diff -u -r1.9 -r1.10
--- ChangeLog	24 Apr 2007 14:44:07 -0000	1.9
+++ ChangeLog	10 Jun 2009 23:37:34 -0000	1.10
@@ -1,6 +1,11 @@
 # ChangeLog for games-arcade/gunocide2ex
-# Copyright 2000-2007 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/games-arcade/gunocide2ex/ChangeLog,v 1.9 2007/04/24 14:44:07 drizzt Exp $
+# Copyright 2000-2009 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/games-arcade/gunocide2ex/ChangeLog,v 1.10 2009/06/10 23:37:34 mr_bones_ Exp $
+
+  10 Jun 2009; Michael Sterrett <mr_bones_@gentoo.org>
+  -files/1.0-gcc3.patch, -files/1.0-gcc4.patch,
+  +files/gunocide2ex-1.0-build.patch, gunocide2ex-1.0.ebuild:
+  roll up patches; EAPI=2; use emake to build objects (bug #273606)
 
   24 Apr 2007; Timothy Redaelli <drizzt@gentoo.org> gunocide2ex-1.0.ebuild:
   Add ~x86-fbsd keyword.



1.12                 games-arcade/gunocide2ex/gunocide2ex-1.0.ebuild

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/games-arcade/gunocide2ex/gunocide2ex-1.0.ebuild?rev=1.12&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/games-arcade/gunocide2ex/gunocide2ex-1.0.ebuild?rev=1.12&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/games-arcade/gunocide2ex/gunocide2ex-1.0.ebuild?r1=1.11&r2=1.12

Index: gunocide2ex-1.0.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/games-arcade/gunocide2ex/gunocide2ex-1.0.ebuild,v
retrieving revision 1.11
retrieving revision 1.12
diff -u -r1.11 -r1.12
--- gunocide2ex-1.0.ebuild	24 Apr 2007 14:44:07 -0000	1.11
+++ gunocide2ex-1.0.ebuild	10 Jun 2009 23:37:34 -0000	1.12
@@ -1,7 +1,8 @@
-# Copyright 1999-2007 Gentoo Foundation
+# Copyright 1999-2009 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/games-arcade/gunocide2ex/gunocide2ex-1.0.ebuild,v 1.11 2007/04/24 14:44:07 drizzt Exp $
+# $Header: /var/cvsroot/gentoo-x86/games-arcade/gunocide2ex/gunocide2ex-1.0.ebuild,v 1.12 2009/06/10 23:37:34 mr_bones_ Exp $
 
+EAPI=2
 inherit eutils toolchain-funcs games
 
 DESCRIPTION="fast-paced 2D shoot'em'up"
@@ -13,51 +14,45 @@
 KEYWORDS="ppc x86 ~x86-fbsd"
 IUSE=""
 
-RDEPEND="media-libs/libsdl
+DEPEND="media-libs/libsdl[video]
 	media-libs/sdl-ttf
-	media-libs/sdl-mixer"
-DEPEND="${RDEPEND}"
+	media-libs/sdl-mixer[vorbis]"
 
-S="${WORKDIR}"
+S=${WORKDIR}
 
 src_unpack() {
 	unpack_makeself
-	sed -i "s:-g:${CFLAGS}:" makefile \
-		|| die "sed makefile failed"
 	mkdir binary
-	epatch "${FILESDIR}"/${PV}-gcc3.patch
-	epatch "${FILESDIR}"/${PV}-gcc4.patch
+}
+
+src_prepare() {
+	epatch "${FILESDIR}"/${P}-build.patch
 	edos2unix config.cfg
 	sed -i \
 		-e "s:/usr/local/games/gunocide2ex/config\.cfg:${GAMES_SYSCONFDIR}/${PN}.cfg:" \
 		-e "s:/usr/local/games/gunocide2ex/hscore\.dat:${GAMES_STATEDIR}/${PN}-hscore.dat:" \
+		-e "s:memleaks.log:/dev/null:" \
 		src/*.{h,cpp} \
-			|| die "sed failed"
+		|| die "sed failed"
 	sed -i \
 		-e "s:/usr/local/games:${GAMES_DATADIR}:" \
-		src/*.{h,cpp} `find gfx -name '*.txt'` \
-			|| die "sed failed (2)"
+		src/*.{h,cpp} $(find gfx -name '*.txt') \
+		|| die "sed failed"
 }
 
 src_compile() {
-	local cc=$(tc-getCXX)
-
 	cd src
-	for f in *.cpp ; do
-		echo "${cc} ${CFLAGS} `sdl-config --cflags` ${f}"
-		${cc} ${cflags} `sdl-config --cflags` -c ${f} || \
-			die "couldnt compile ${f}"
-	done
-	${cc} -o ${PN} *.o -lpthread -lSDL -lSDL_ttf -lSDL_mixer || \
+	emake CXXFLAGS="$CXXFLAGS $(sdl-config --cflags)" $(echo *.cpp | sed 's/\.cpp/.o/g') \
+		|| die "emake failed"
+	$(tc-getCXX) -o ${PN} *.o -lpthread -lSDL -lSDL_ttf -lSDL_mixer || \
 		die "couldnt produce binary"
 }
 
 src_install() {
 	dogamesbin src/${PN}               || die "dogamesbin failed"
 	dosym ${PN} "${GAMES_BINDIR}/g2ex" || die "dosym failed"
-	dodir "${GAMES_DATADIR}/${PN}"
-	cp -R gfx sfx lvl credits arial.ttf "${D}/${GAMES_DATADIR}/${PN}/" \
-		|| die "cp failed"
+	insinto "${GAMES_DATADIR}/${PN}"
+	doins -r gfx sfx lvl credits arial.ttf || die "doins failed"
 	insinto "${GAMES_SYSCONFDIR}"
 	newins config.cfg ${PN}.cfg        || die "newins failed (cfg)"
 	insinto "${GAMES_STATEDIR}"






^ permalink raw reply	[flat|nested] 4+ messages in thread

* [gentoo-commits] gentoo-x86 commit in games-arcade/gunocide2ex: ChangeLog gunocide2ex-1.0.ebuild
@ 2009-06-17 23:13 Tristan Heaven (nyhm)
  0 siblings, 0 replies; 4+ messages in thread
From: Tristan Heaven (nyhm) @ 2009-06-17 23:13 UTC (permalink / raw
  To: gentoo-commits

nyhm        09/06/17 23:13:36

  Modified:             ChangeLog gunocide2ex-1.0.ebuild
  Log:
  Fix building with glibc-2.10, bug #273602
  (Portage version: 2.2_rc33/cvs/Linux i686)

Revision  Changes    Path
1.11                 games-arcade/gunocide2ex/ChangeLog

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/games-arcade/gunocide2ex/ChangeLog?rev=1.11&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/games-arcade/gunocide2ex/ChangeLog?rev=1.11&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/games-arcade/gunocide2ex/ChangeLog?r1=1.10&r2=1.11

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/games-arcade/gunocide2ex/ChangeLog,v
retrieving revision 1.10
retrieving revision 1.11
diff -u -r1.10 -r1.11
--- ChangeLog	10 Jun 2009 23:37:34 -0000	1.10
+++ ChangeLog	17 Jun 2009 23:13:36 -0000	1.11
@@ -1,6 +1,10 @@
 # ChangeLog for games-arcade/gunocide2ex
-# Copyright 2000-2009 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/games-arcade/gunocide2ex/ChangeLog,v 1.10 2009/06/10 23:37:34 mr_bones_ Exp $
+# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/games-arcade/gunocide2ex/ChangeLog,v 1.11 2009/06/17 23:13:36 nyhm Exp $
+
+  17 Jun 2009; Tristan Heaven <nyhm@gentoo.org> gunocide2ex-1.0.ebuild,
+  +files/gunocide2ex-1.0-glibc2.10.patch:
+  Fix building with glibc-2.10, bug #273602
 
   10 Jun 2009; Michael Sterrett <mr_bones_@gentoo.org>
   -files/1.0-gcc3.patch, -files/1.0-gcc4.patch,



1.13                 games-arcade/gunocide2ex/gunocide2ex-1.0.ebuild

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/games-arcade/gunocide2ex/gunocide2ex-1.0.ebuild?rev=1.13&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/games-arcade/gunocide2ex/gunocide2ex-1.0.ebuild?rev=1.13&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/games-arcade/gunocide2ex/gunocide2ex-1.0.ebuild?r1=1.12&r2=1.13

Index: gunocide2ex-1.0.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/games-arcade/gunocide2ex/gunocide2ex-1.0.ebuild,v
retrieving revision 1.12
retrieving revision 1.13
diff -u -r1.12 -r1.13
--- gunocide2ex-1.0.ebuild	10 Jun 2009 23:37:34 -0000	1.12
+++ gunocide2ex-1.0.ebuild	17 Jun 2009 23:13:36 -0000	1.13
@@ -1,6 +1,6 @@
 # Copyright 1999-2009 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/games-arcade/gunocide2ex/gunocide2ex-1.0.ebuild,v 1.12 2009/06/10 23:37:34 mr_bones_ Exp $
+# $Header: /var/cvsroot/gentoo-x86/games-arcade/gunocide2ex/gunocide2ex-1.0.ebuild,v 1.13 2009/06/17 23:13:36 nyhm Exp $
 
 EAPI=2
 inherit eutils toolchain-funcs games
@@ -26,7 +26,9 @@
 }
 
 src_prepare() {
-	epatch "${FILESDIR}"/${P}-build.patch
+	epatch \
+		"${FILESDIR}"/${P}-build.patch \
+		"${FILESDIR}"/${P}-glibc2.10.patch
 	edos2unix config.cfg
 	sed -i \
 		-e "s:/usr/local/games/gunocide2ex/config\.cfg:${GAMES_SYSCONFDIR}/${PN}.cfg:" \






^ permalink raw reply	[flat|nested] 4+ messages in thread

* [gentoo-commits] gentoo-x86 commit in games-arcade/gunocide2ex: ChangeLog gunocide2ex-1.0.ebuild
@ 2009-06-17 23:32 Tristan Heaven (nyhm)
  0 siblings, 0 replies; 4+ messages in thread
From: Tristan Heaven (nyhm) @ 2009-06-17 23:32 UTC (permalink / raw
  To: gentoo-commits

nyhm        09/06/17 23:32:43

  Modified:             ChangeLog gunocide2ex-1.0.ebuild
  Log:
  Respect LDFLAGS; install menu entry
  (Portage version: 2.2_rc33/cvs/Linux i686)

Revision  Changes    Path
1.12                 games-arcade/gunocide2ex/ChangeLog

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/games-arcade/gunocide2ex/ChangeLog?rev=1.12&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/games-arcade/gunocide2ex/ChangeLog?rev=1.12&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/games-arcade/gunocide2ex/ChangeLog?r1=1.11&r2=1.12

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/games-arcade/gunocide2ex/ChangeLog,v
retrieving revision 1.11
retrieving revision 1.12
diff -u -r1.11 -r1.12
--- ChangeLog	17 Jun 2009 23:13:36 -0000	1.11
+++ ChangeLog	17 Jun 2009 23:32:42 -0000	1.12
@@ -1,6 +1,9 @@
 # ChangeLog for games-arcade/gunocide2ex
 # Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/games-arcade/gunocide2ex/ChangeLog,v 1.11 2009/06/17 23:13:36 nyhm Exp $
+# $Header: /var/cvsroot/gentoo-x86/games-arcade/gunocide2ex/ChangeLog,v 1.12 2009/06/17 23:32:42 nyhm Exp $
+
+  17 Jun 2009; Tristan Heaven <nyhm@gentoo.org> gunocide2ex-1.0.ebuild:
+  Respect LDFLAGS; install menu entry
 
   17 Jun 2009; Tristan Heaven <nyhm@gentoo.org> gunocide2ex-1.0.ebuild,
   +files/gunocide2ex-1.0-glibc2.10.patch:



1.14                 games-arcade/gunocide2ex/gunocide2ex-1.0.ebuild

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/games-arcade/gunocide2ex/gunocide2ex-1.0.ebuild?rev=1.14&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/games-arcade/gunocide2ex/gunocide2ex-1.0.ebuild?rev=1.14&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/games-arcade/gunocide2ex/gunocide2ex-1.0.ebuild?r1=1.13&r2=1.14

Index: gunocide2ex-1.0.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/games-arcade/gunocide2ex/gunocide2ex-1.0.ebuild,v
retrieving revision 1.13
retrieving revision 1.14
diff -u -r1.13 -r1.14
--- gunocide2ex-1.0.ebuild	17 Jun 2009 23:13:36 -0000	1.13
+++ gunocide2ex-1.0.ebuild	17 Jun 2009 23:32:42 -0000	1.14
@@ -1,6 +1,6 @@
 # Copyright 1999-2009 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/games-arcade/gunocide2ex/gunocide2ex-1.0.ebuild,v 1.13 2009/06/17 23:13:36 nyhm Exp $
+# $Header: /var/cvsroot/gentoo-x86/games-arcade/gunocide2ex/gunocide2ex-1.0.ebuild,v 1.14 2009/06/17 23:32:42 nyhm Exp $
 
 EAPI=2
 inherit eutils toolchain-funcs games
@@ -46,8 +46,8 @@
 	cd src
 	emake CXXFLAGS="$CXXFLAGS $(sdl-config --cflags)" $(echo *.cpp | sed 's/\.cpp/.o/g') \
 		|| die "emake failed"
-	$(tc-getCXX) -o ${PN} *.o -lpthread -lSDL -lSDL_ttf -lSDL_mixer || \
-		die "couldnt produce binary"
+	$(tc-getCXX) ${CXXFLAGS} ${LDFLAGS} -o ${PN} *.o -lpthread -lSDL -lSDL_ttf -lSDL_mixer \
+		|| die "cxx failed"
 }
 
 src_install() {
@@ -61,5 +61,7 @@
 	newins hscore.dat ${PN}-hscore.dat || die "newins failed (hscore)"
 	dodoc history doc/MANUAL_DE        || die "dodoc failed"
 	dohtml doc/manual_de.html          || die "dohtml failed"
+	newicon g2icon.xpm ${PN}.xpm
+	make_desktop_entry ${PN} "Gunocide II EX"
 	prepgamesdirs
 }






^ permalink raw reply	[flat|nested] 4+ messages in thread

* [gentoo-commits] gentoo-x86 commit in games-arcade/gunocide2ex: ChangeLog gunocide2ex-1.0.ebuild
@ 2012-02-05  6:20 Mike Frysinger (vapier)
  0 siblings, 0 replies; 4+ messages in thread
From: Mike Frysinger (vapier) @ 2012-02-05  6:20 UTC (permalink / raw
  To: gentoo-commits

vapier      12/02/05 06:20:50

  Modified:             ChangeLog gunocide2ex-1.0.ebuild
  Log:
  Move to new unpacker eclass for unpack_makeself.
  
  (Portage version: 2.2.0_alpha84/cvs/Linux x86_64)

Revision  Changes    Path
1.13                 games-arcade/gunocide2ex/ChangeLog

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/games-arcade/gunocide2ex/ChangeLog?rev=1.13&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/games-arcade/gunocide2ex/ChangeLog?rev=1.13&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/games-arcade/gunocide2ex/ChangeLog?r1=1.12&r2=1.13

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/games-arcade/gunocide2ex/ChangeLog,v
retrieving revision 1.12
retrieving revision 1.13
diff -u -r1.12 -r1.13
--- ChangeLog	17 Jun 2009 23:32:42 -0000	1.12
+++ ChangeLog	5 Feb 2012 06:20:50 -0000	1.13
@@ -1,6 +1,9 @@
 # ChangeLog for games-arcade/gunocide2ex
-# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/games-arcade/gunocide2ex/ChangeLog,v 1.12 2009/06/17 23:32:42 nyhm Exp $
+# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/games-arcade/gunocide2ex/ChangeLog,v 1.13 2012/02/05 06:20:50 vapier Exp $
+
+  05 Feb 2012; Mike Frysinger <vapier@gentoo.org> gunocide2ex-1.0.ebuild:
+  Move to new unpacker eclass for unpack_makeself.
 
   17 Jun 2009; Tristan Heaven <nyhm@gentoo.org> gunocide2ex-1.0.ebuild:
   Respect LDFLAGS; install menu entry



1.15                 games-arcade/gunocide2ex/gunocide2ex-1.0.ebuild

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/games-arcade/gunocide2ex/gunocide2ex-1.0.ebuild?rev=1.15&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/games-arcade/gunocide2ex/gunocide2ex-1.0.ebuild?rev=1.15&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/games-arcade/gunocide2ex/gunocide2ex-1.0.ebuild?r1=1.14&r2=1.15

Index: gunocide2ex-1.0.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/games-arcade/gunocide2ex/gunocide2ex-1.0.ebuild,v
retrieving revision 1.14
retrieving revision 1.15
diff -u -r1.14 -r1.15
--- gunocide2ex-1.0.ebuild	17 Jun 2009 23:32:42 -0000	1.14
+++ gunocide2ex-1.0.ebuild	5 Feb 2012 06:20:50 -0000	1.15
@@ -1,9 +1,9 @@
-# Copyright 1999-2009 Gentoo Foundation
+# Copyright 1999-2012 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/games-arcade/gunocide2ex/gunocide2ex-1.0.ebuild,v 1.14 2009/06/17 23:32:42 nyhm Exp $
+# $Header: /var/cvsroot/gentoo-x86/games-arcade/gunocide2ex/gunocide2ex-1.0.ebuild,v 1.15 2012/02/05 06:20:50 vapier Exp $
 
 EAPI=2
-inherit eutils toolchain-funcs games
+inherit eutils unpacker toolchain-funcs games
 
 DESCRIPTION="fast-paced 2D shoot'em'up"
 HOMEPAGE="http://www.polyfrag.com/content/product_gunocide.html"






^ permalink raw reply	[flat|nested] 4+ messages in thread

end of thread, other threads:[~2012-02-05  6:21 UTC | newest]

Thread overview: 4+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2012-02-05  6:20 [gentoo-commits] gentoo-x86 commit in games-arcade/gunocide2ex: ChangeLog gunocide2ex-1.0.ebuild Mike Frysinger (vapier)
  -- strict thread matches above, loose matches on Subject: below --
2009-06-17 23:32 Tristan Heaven (nyhm)
2009-06-17 23:13 Tristan Heaven (nyhm)
2009-06-10 23:37 Michael Sterrett (mr_bones_)

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox